Document shuffle control feature on en.wikiversity Help:Quiz
Closed, ResolvedPublic

Description

https://en.wikiversity.org/wiki/Help:Quiz doesn't document shuffle control using {X} {!X} {/X} tags.

Mvolz created this task.Jun 12 2017, 8:31 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 12 2017, 8:31 AM
Mvolz assigned this task to Harjotsingh.Jun 12 2017, 8:52 AM
Mvolz updated the task description. (Show Details)
Mvolz triaged this task as Normal priority.Jun 12 2017, 9:16 AM

I've made some edits and added information in comments section.

Harjotsingh closed this task as Resolved.Jul 15 2017, 5:12 AM

Closing as resolved.

Mvolz reopened this task as Open.EditedJul 17 2017, 12:06 PM

I don't think this is done yet. It needs example code like is done with all the other features/syntax.

Where does the tag even go?

Also what's the difference between {X} and {!X}?

(We should also probably write tests for this.)

Change 366280 had a related patch set uploaded (by Harjotsingh; owner: Harjotsingh):
[mediawiki/extensions/Quiz@master] Add tests for shuffle control tags {X}, {!X} and {/X}

https://gerrit.wikimedia.org/r/366280

Mvolz closed this task as Resolved.Jul 20 2017, 9:22 AM

Change 366280 merged by jenkins-bot:
[mediawiki/extensions/Quiz@master] Add tests for shuffle control tags {X}, {!X} and {/X}

https://gerrit.wikimedia.org/r/366280